<link href="../css/form.css" type="text/css" rel="stylesheet" media="screen"  />
<html>
<body >

<?
session_start();
include("../opendb.php");
include("../test.php");
$ordres=mysqli_query($db,"select max(orderno) from purorder_spare where brcode='$brcode'");
$ordrow=mysqli_fetch_row($ordres);
$ordnumber=$ordrow[0]+1;
?>
<BASE TARGET=main22>
<link rel="stylesheet" href="../style.css" type="text/css" />
<style>
	tr{background-color:white}
	th{background-color:steelblue;color:white}
</style>
<script>
var pna=[];
var hand=[];
var price=[];
var disc=[];
function getname()
{
 	if(document.f1.partcode.selectedIndex<=0)
 	{
 		document.f1.prtname.value="";
 		document.f1.price.value="";
 		//document.f1.discount.value="";
 		document.f1.hand.value="";
 	}
 	else{
 		document.f1.prtname.value=pna[document.f1.partcode.selectedIndex];
 		document.f1.price.value=price[document.f1.partcode.selectedIndex];
 		//document.f1.discount.value=disc[document.f1.partcode.selectedIndex];
 		//document.f1.hand.value=hand[document.f1.partcode.selectedIndex];
		var act=parseFloat(document.f1.price.value)*parseFloat(document.f1.qty.value);
		var hnd=parseFloat(act)*document.f1.hand.value/100;
		var act1=act*parseFloat(document.f1.discount.value)/100;
		document.f1.aprice.value=parseFloat(act+hnd-act1).toFixed(2);
 		act=document.f1.aprice.value;
		var act2=parseFloat(document.f1.aprice.value);
		var cst=parseFloat(act2)*document.f1.cst.value/100;
		var gtot=parseFloat(act2+cst).toFixed(2);
		document.f1.tot.value=gtot;
 	}
}
function calcamt()
{
	var act=parseFloat(document.f1.price.value)*parseFloat(document.f1.qty.value);
 	var hnd=parseFloat(act)*document.f1.hand.value/100;
	var act1=act*parseFloat(document.f1.discount.value)/100;
	document.f1.aprice.value=parseFloat(act+hnd-act1).toFixed(2);
	act=document.f1.aprice.value;
	var act2=parseFloat(document.f1.aprice.value);
  	var cst=parseFloat(act2)*document.f1.cst.value/100;
  	var gtot=parseFloat(act2+cst).toFixed(2);
  	document.f1.tot.value=gtot;
}
function valid()
{
 	if(document.f1.partcode.selectedIndex<=0)
 	{
  		alert('Invalid Item code');
  		return false;
 	}
/*
	var x=document.getElementById("mselect")
 	document.f1.partcode1.value=x.options[x.selectedIndex].text
	x.remove(x.selectedIndex)
*/
}
</script>
<body bgcolor='ivory'>
<center>
<form name='f1' action='purtemp.php' onSubmit='return valid()'>
<input type=hidden name='partcode1'>
<table>
<th colspan=10>ITEM PURCHASE ORDER (<?print $ordnumber?>)</th>
<tr>
<td>Part Code</td><td><select name='partcode' id='mselect' onChange=getname();><option></option>
<?
$i=1;
if ($brcode == 'PSN672' || $brcode == 'PSN880')
	$re=mysqli_query($db,"select partcode,partname from partmaster order by partcode");
else
	$re=mysqli_query($db,"select partcode,partname from productiondb.partmaster where group1='finishedgoods' order by partcode");
while($row=mysqli_fetch_array($re))
{
 	print "<option value='$row[0]'>$row[0]</option>";
 	print "\n<script> pna[$i]='$row[partname]';</script>";
 	// $disres=mysqli_query($db,"select lstprice,discount from spareprmast where partcode='$row[0]' order by effectfrom desc");
  	// $disrow=mysqli_fetch_array($disres);
 	//print "<script>price[$i]='$disrow[0]'; </script>";
 	//disc[$i]='$disrow[1]'; </script>";
 	$i++;
}
?>
</select></td><td>Part Name </td><td COLSPAN=3><input type=text readonly  name='prtname' size=30></td></tr>
<tr><td>Qty</td><td><input type=text name='qty' size=3 value='1'></td>
</tr>
<tr><td colspan=6 align=center bgcolor='steelblue'><input type=submit value='Add' name='add'></td></tr>
</table>
</form>
